const github = {
    database: 'mongodb://mongo:27017/DEVmodelDB',
    kafka_server: 'kafka:9092',
    rabbitmq: 'rabbitmq',
    port: 5007,
    socketPort: 8080,
    host: "model",
    session: {
        host: "session",
        port: 5006
    }
}

const development = {
    database: 'mongodb://mongo:27017/DEVmodelDB',
    kafka_server: 'kafka:9092',
    rabbitmq: 'rabbitmq',
    port: 5007,
    socketPort: 8080,
    host: "model",
    session: {
        host: "session",
        port: 5006
    }
}

const production = {
    database: 'mongodb://mongo:27017/modelDB',
    kafka_server: 'kafka:9092',
    rabbitmq: 'rabbitmq',
    port: 5007,
    socketPort: 8080,
    host: "model",
    session: {
        host: "session",
        port: 5006
    }
}

let config;
switch(process.env.NODE_ENV) {
    case 'production':
        config = production
        break;
    case 'development': 
        config = development
        break;
    case 'github':
        config = github
    default: 
        config = development
}
export default config
